| OpenSubdiv

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
MTLPatchShaderSource Class Reference

`#include <mtlPatchShaderSource.h>`

## Static Public Member Functions
static std::string | GetCommonShaderSource ()
static std::string | GetPatchBasisShaderSource ()
static std::string | GetVertexShaderSource (Far::PatchDescriptor::Type type)
static std::string | GetHullShaderSource (Far::PatchDescriptor::Type type)
static std::string | GetDomainShaderSource (Far::PatchDescriptor::Type type)
static std::string | GetVertexShaderSource (Far::PatchDescriptor::Type type, Far::PatchDescriptor::Type fvarType)
| Deprecated.
static std::string | GetHullShaderSource (Far::PatchDescriptor::Type type, Far::PatchDescriptor::Type fvarType)
static std::string | GetDomainShaderSource (Far::PatchDescriptor::Type type, Far::PatchDescriptor::Type fvarType)

## Detailed Description

Definition at line 37 of file mtlPatchShaderSource.h.

## Member Function Documentation

## ◆ GetCommonShaderSource()

static std::string GetCommonShaderSource | ( |  | ) |
| static

## ◆ GetDomainShaderSource() [1/2]

static std::string GetDomainShaderSource | ( | Far::PatchDescriptor::Type | type | ) |
| static

## ◆ GetDomainShaderSource() [2/2]

static std::string GetDomainShaderSource | ( | Far::PatchDescriptor::Type | type,
|  | Far::PatchDescriptor::Type | fvarType )
| static

## ◆ GetHullShaderSource() [1/2]

static std::string GetHullShaderSource | ( | Far::PatchDescriptor::Type | type | ) |
| static

## ◆ GetHullShaderSource() [2/2]

static std::string GetHullShaderSource | ( | Far::PatchDescriptor::Type | type,
|  | Far::PatchDescriptor::Type | fvarType )
| static

## ◆ GetPatchBasisShaderSource()

static std::string GetPatchBasisShaderSource | ( |  | ) |
| static

## ◆ GetVertexShaderSource() [1/2]

static std::string GetVertexShaderSource | ( | Far::PatchDescriptor::Type | type | ) |
| static

## ◆ GetVertexShaderSource() [2/2]

static std::string GetVertexShaderSource | ( | Far::PatchDescriptor::Type | type,
|  | Far::PatchDescriptor::Type | fvarType )
| static

Deprecated.

These methods are deprecated. Clients should determine the patch type of a face-varying patch by inspecting the face-varying patch array descriptors.

The documentation for this class was generated from the following file:

- opensubdiv/osd/mtlPatchShaderSource.h